Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 593057 - brltty-4.1-4.el6.x86_64 missing dependency on coreutils
Summary: brltty-4.1-4.el6.x86_64 missing dependency on coreutils
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: brltty
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 18:07 UTC by Issue Tracker
Modified: 2018-11-14 19:29 UTC (History)
6 users (show)

Fixed In Version: brltty-4.1-6.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-10 19:57:17 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Issue Tracker 2010-05-17 18:07:16 UTC
Escalated to Bugzilla from IssueTracker

Comment 1 Issue Tracker 2010-05-17 18:07:18 UTC
Event posted on 05-17-2010 01:22pm EDT by woodard

From: 	tdhooge@llnl.gov
To: 	Ben Woodard <woodard@redhat.com>
Subject: 	RHEL6 rpm post install issues
Date: 	05/17/2010 10:51:50 AM


Ben,

I ran the following commands on each rpm in RHEL6, and after every rpm , 
removed the chrooted environment and recreated it. I found a few rpms that 
don't have their dependencies correct for the post install command.

export imagedir=/tmp/testingrpms
rm -rf ${imagedir}
mkdir -p ${imagedir}/{dev,proc}
mkdir -p ${imagedir}/var/lib/{rpm,yum}
mkdir -p ${imagedir}/var/lock/rpm
mkdir -p ${imagedir}/var/log
mount -t proc none ${imagedir}/proc
rpm --root ${imagedir} --initdb

yum 
install -c /tmp/chaos.repo -y '--disablerepo=*' --enablerepo=generic --installroot /tmp/testingrpms 
RPM_package

cat /tmp/chaos.repo 
[generic]
name=generic
baseurl=file:///tftpboot/rhel6
enable=1

Where /tftpboot/rhel6 has all the RHEL6 rpms and I ran createrepo.

Here are the rpms I found with problems, followed by the error I see:

brltty-4.1-4.el6.x86_64
docbook-dtds-1.0-50.el6.noarch
docbook-simple-1.1-6.1.el6.noarch
docbook-slides-3.4.0-7.1.el6.noarch
jakarta-commons-el-1.0-18.2.el6.noarch
nss-sysinit-3.12.6-2.el6.x86_64
pam-1.1.1-2.el6.x86_64
pango-1.26.2-2.el6.x86_64
perl-TimeDate-1.16-11.1.el6.noarch
plymouth-theme-glow-0.8.0-0.2010.03.05.1.el6.x86_64
sblim-sfcb-1.3.4-9.1.el6.x86_64
sound-juicer-2.28.1-2.el6.x86_64
taskjuggler-2.4.3-3.1.el6.x86_64
vinagre-2.28.1-4.el6.x86_64

Installing     : brltty-4.1-4.el6.x86_64                                
12/12/var/tmp/rpm-tmp.iyYo4R: line 14: mkdir: command not found
/var/tmp/rpm-tmp.iyYo4R: line 15: mknod: command not found
/var/tmp/rpm-tmp.iyYo4R: line 16: chmod: command not found
/var/tmp/rpm-tmp.iyYo4R: line 17: chown: command not found

Installing     : docbook-dtds-1.0-50.el6.noarch                         
36/36/var/tmp/rpm-tmp.CzZItE: line 85: sed: command not found

Installing     : docbook-simple-1.1-6.1.el6.noarch                      
37/37/var/tmp/rpm-tmp.OVUO40: line 53: sed: command not found
/var/tmp/rpm-tmp.OVUO40: line 54: sed: command not found

Installing     : docbook-slides-3.4.0-7.1.el6.noarch                    
39/39/var/tmp/rpm-tmp.VOeVdD: line 50: sed: command not found
/var/tmp/rpm-tmp.VOeVdD: line 51: sed: command not found

Installing     : jakarta-commons-el-1.0-18.2.el6.noarch                 
34/34/var/tmp/rpm-tmp.vLjZWc: line 3: find: command not found

Installing     : nss-sysinit-3.12.6-2.el6.x86_64                        
39/39/usr/bin/setup-nsssysinit.sh: line 37: sed: command not found

Installing     : pango-1.26.2-2.el6.x86_64                              
48/48/var/tmp/rpm-tmp.Pqkx3u: line 15: sed: command not found
/var/tmp/rpm-tmp.Pqkx3u: line 17: sed: command not found
/var/tmp/rpm-tmp.Pqkx3u: line 24: /usr/bin/pango-querymodules-32: No such file 
or directory

Installing     : plymouth-theme-glow-0.8.0-0.2010.03.05.1.el6.x86_64    
54/54/usr/sbin/plymouth-set-default-theme: line 159: sed: command not found

Installing     : sound-juicer-2.28.1-2.el6.x86_64                     
176/176/var/tmp/rpm-tmp.EqF1vE: line 2: update-desktop-database: command not 
found

Installing     : taskjuggler-2.4.3-3.1.el6.x86_64                     
176/176/var/tmp/rpm-tmp.cMKsun: line 2: gtk-update-icon-cache: command not 
found

Installing     : vinagre-2.28.1-4.el6.x86_64                          
157/157/var/tmp/rpm-tmp.6s6kA4: line 1: update-desktop-database: command not 
found

Installing     : sblim-sfcb-1.3.4-9.1.el6.x86_64                        
67/67Generating SSL certificates in /etc/sfcb
unable to load 'random state'
This means that the random number generator has not been seeded
with much random data.
Consider setting the RANDFILE environment variable to point at a file that
'random' data can be kept in (the file will be overwritten).
Generating a 2048 bit RSA private key
Error Generating Key
140226692044616:error:24064064:random number generator:SSLEAY_RAND_BYTES:PRNG 
not seeded:md_rand.c:531:You need to read the OpenSSL FAQ, 
http://www.openssl.org/support/faq.html
140226692044616:error:04081003:rsa routines:RSA_BUILTIN_KEYGEN:BN 
lib:rsa_gen.c:312:
chmod: cannot access `/var/tmp/sfcb.wHOGPL/*.pem': No such file or directory
cp: cannot stat `/var/tmp/sfcb.wHOGPL/cert.pem': No such file or directory
cp: cannot stat `/var/tmp/sfcb.wHOGPL/key.pem': No such file or directory
chmod: cannot access `/etc/sfcb/server.pem': No such file or directory
chmod: cannot access `/etc/sfcb/file.pem': No such file or directory
cp: cannot stat `/var/tmp/sfcb.wHOGPL/cert.pem': No such file or directory
chmod: cannot access `/etc/sfcb/client.pem': No such file or directory
/usr/bin/sfcbrepos: line 8: getopt: command not found
warning: getopt not found ...continue without syntax check
/var/tmp/rpm-tmp.PXVUEL: line 4: /sbin/chkconfig: No such file or directory


This event sent from IssueTracker by tgummels  [LLNL (HPC)]
 issue 900333

Comment 2 RHEL Product and Program Management 2010-05-17 18:26:00 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Issue Tracker 2010-05-17 18:33:42 UTC
Event posted on 05-17-2010 02:33pm EDT by kbaxley

Installing     : brltty-4.1-4.el6.x86_64                                
12/12/var/tmp/rpm-tmp.iyYo4R: line 14: mkdir: command not found
/var/tmp/rpm-tmp.iyYo4R: line 15: mknod: command not found
/var/tmp/rpm-tmp.iyYo4R: line 16: chmod: command not found
/var/tmp/rpm-tmp.iyYo4R: line 17: chown: command not found



This event sent from IssueTracker by kbaxley 
 issue 900333

Comment 4 Jaroslav Škarvada 2010-05-26 13:51:28 UTC
Fixed in brltty-4.1-6.el6.

Comment 6 Alexander Todorov 2010-08-23 14:30:27 UTC
[root@ibm-x3950m2-02 6]# rpm -q brltty
brltty-4.1-6.el6.x86_64

[root@ibm-x3950m2-02 6]# rpm -qR brltty
/bin/bash  
/bin/sh  
/bin/sh  
config(brltty) = 4.1-6.el6
coreutils  
libc.so.6()(64bit)  
libc.so.6(GLIBC_2.2.5)(64bit)  
libc.so.6(GLIBC_2.3)(64bit)  
libc.so.6(GLIBC_2.3.4)(64bit)  
libc.so.6(GLIBC_2.4)(64bit)  
libc.so.6(GLIBC_2.7)(64bit)  
libdl.so.2()(64bit)  
libdl.so.2(GLIBC_2.2.5)(64bit)  
libgcc_s.so.1()(64bit)  
libgcc_s.so.1(GCC_3.0)(64bit)  
libgcc_s.so.1(GCC_3.3.1)(64bit)  
libpthread.so.0()(64bit)  
libpthread.so.0(GLIBC_2.2.5)(64bit)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rtld(GNU_HASH)  
rpmlib(PayloadIsXz) <= 5.2-1

coreutils is now a dependency. Moving to VERIFIED.

Comment 7 releng-rhel@redhat.com 2010-11-10 19:57:17 UTC
Red Hat Enterprise Linux 6.0 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.